version: '3.7'

services:
  promtail:
    image: ${IMAGE_NAME:-registry.gitlab.com/cabildo-tf/vente/deploy/ansible/master}:${IMAGE_TAG:-latest}
    command: /playbook/install_promtail.yml
    environment:
      TAG_HOSTS:
      HOSTS:
      ANSIBLE_USER:
      ANSIBLE_PASSWORD:
      ANSIBLE_CONNECTION:
      ANSIBLE_WINRM_SERVER_CERT_VALIDATION:
      ANSIBLE_PORT:
      ANSIBLE_WINRM_MESSAGE_ENCRYPTION:
      ANSIBLE_WINRM_TRANSPORT:
      PROMTAIL_VERSION:
      PROMTAIL_ARCHITECTURE:
      WORK_DIR:
      LOKI_USERNAME:
      LOKI_PASSWORD:
      LOKI_HOSTNAME:
      ARCGIS_SITE_PATH:
      RECONCILIATE_ARCGIS_DB_PATH:
      ARCGIS_BACKUP_PATH:
    configs:
      - source: install-promtail-config
        target: /playbook/install_promtail.yml
      - source: promtail-template-config
        target: /playbook/promtail_template.j2
    deploy:
      mode: replicated
      replicas: 1
      restart_policy:
        condition: on-failure
        delay: 1m
        window: 3m
      resources:
        limits:
          cpus: '0.1'
          memory: 100M
        reservations:
          memory: 5M

configs:
  install-promtail-config:
    name: ${INSTALL_PROMTAIL_CONFIG_NAME:-install-promtail}
    file: ./playbook/install_promtail.yml
  promtail-template-config:
    name: ${PROMTAIL_TEMPLATE_CONFIG_NAME:-promtail-template}
    file: ./playbook/promtail_template.j2
